
#ifndef RAY_H
#define RAY_H RAY_H

#include "Vector.h"

class Ray
{
    public:
        Ray();
        Ray(const Vector & origin, const Vector & direction);

    private:
        Vector  m_origin;
        Vector  m_direction;
};

#endif

